<?php
/**
 * This project has been generated by nuts generator
 * nuts has been made by fahmi sulaiman
 * sulaimanfahmi@gmail.com
 */


namespace Base;


use Provider\Auth\SessionUserTrait;
use RuntimeException;

class BaseHelper
{
    use SessionUserTrait;

    protected $model = "";

    public function __construct()
    {
        if ($this->model == "") {
            throw new RuntimeException(INTERNAL_SERVER_ERROR, "Model isnot Intialized");
        }
        $this->model = new $this->model();
    }

    public function beforeInsert($input)
    {
        return $this;
    }

    public function beforeSoftDelete($input, $id)
    {
        return $this;
    }

    public function beforeDelete($id)
    {
        return $this;
    }

    public function beforeUpdate($input, $id)
    {
        return $this;
    }

    public function beforeBulkDelete($input, $id)
    {
        return $this;
    }

}